Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 70037

Summary: BAAD! crashes during the installation!!!
Product: [Retired] Red Hat Linux Reporter: Ilya Chernyakov <eliuha>
Component: anacondaAssignee: Michael Fulbright <msf>
Status: CLOSED DUPLICATE QA Contact: Brock Organ <borgan>
Severity: high Docs Contact:
Priority: medium    
Version: 7.3   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-07-29 15:40:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ilya Chernyakov 2002-07-29 15:40:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 427, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 546, in doInstall
    totalSize = totalSize + (p[rpm.RPMTAG_SIZE] / 1024)
TypeError: bad operand type(s) for /

Local variables in innermost frame:
intf: <text.InstallInterface instance at 816c520>
total: 1
progress: <text.ProgressWindow instance at a0f1ae0>
whiteout: <module 'whiteout' from '/usr/lib/anaconda/whiteout.py'>
i: 0
p: swig
id: <instdata.InstallData instance at 82abe88>
l: [swig, glibc-common, hwdata, indexhtml, mailcap, man-pages, redhat-logos, 
setup, filesystem, basesystem, glibc, bdflush, bzip2-libs, chkconfig, cracklib, 
db1, db2, db3, dosfstools, e2fsprogs, eject, file, gdbm, glib, glib2, hdparm, 
hesiod, iputils, ksymoops, losetup, mailx, mingetty, mktemp, mt-st, net-tools, 
parted, pcre, perl, perl-CGI, perl-CPAN, perl-DB_File, perl-NDBM_File, popt, 
pwdb, reiserfs-utils, setserial, shadow-utils, slang, newt, netconfig, ntsysv, 
setuptool, specspo, syslinux, termcap, libtermcap, bash, bzip2, crontabs, 
iproute, libstdc++, groff, logrotate, MAKEDEV, ncurses, info, cpio, diffutils, 
ed, fileutils, at, findutils, gawk, grep, ash, dhcpcd, grub, less, gzip, man, 
openssl, procmail, procps, psmisc, raidtools, readline, redhat-release, 
rootfiles, sed, console-tools, kbdconfig, slocate, sysklogd, tar, tcsh, 
textutils, dev, mount, mouseconfig, time, tmpwatch, usbutils, hotplug, 
utempter, vim-common, vim-minimal, which, words, cracklib-dicts, pam, 
authconfig, cyrus-sasl, cyrus-sasl-md5, cyrus-sasl-plain, gpm, openldap, 
libuser, passwd, sh-utils, krb5-libs, modutils, kudzu, mkinitrd, lilo, 
mkbootdisk, sendmail, SysVinit, usermode, zlib, rpm, util-linux, initscripts, 
apmd, ipchains, iptables, kernel, lokkit, pciutils, quota, timeconfig, vixie-
cron, anacron, audiofile, cdparanoia-libs, esound, expat, fortune-mod, 
freetype, ghostscript-fonts, gmp, groff-perl, htmlview, libjpeg, libogg, 
libpng, libtiff, cups-libs, cups, libvorbis, libxml2, libxslt, LPRng, m4, make, 
efax, mpage, nkf, Omni, openssh, openssh-clients, perl-DateManip, perl-Digest-
MD5, perl-HTML-Tagset, perl-HTML-Parser, perl-libnet, perl-libxml-enno, perl-
MIME-Base64, perl-Parse-Yapp, perl-Storable, perl-URI, perl-libwww-perl, perl-
XML-Encoding, perl-XML-Grove, perl-XML-Parser, perl-libxml-perl, perl-XML-
Dumper, perl-XML-Twig, foomatic, Omni-foomatic, pnm2ppa, portmap, psutils, 
a2ps, python, alchemist, Distutils, PyXML, 4Suite, switchdesk, tcl, watanabe-
vf, XFree86-libs, Glide3, gtk+, gdk-pixbuf, libungif, openmotif, Xaw3d, XFree86-
font-utils, XFree86-xfs, chkfontpath, ttfonts, ttfonts-ja, urw-fonts, VFlib2, 
ghostscript, cups-drivers, cups-drivers-pnm2ppa, hpijs, cups-drivers-hpijs, 
printconf, XFree86-100dpi-fonts, XFree86-75dpi-fonts, XFree86-base-fonts, 
XFree86, mkxauth, Xconfigurator, XFree86-ISO8859-15-100dpi-fonts, XFree86-
ISO8859-15-75dpi-fonts, XFree86-tools, XFree86-twm, xinetd, xinitrc, XFree86-
xdm, xloadimage, libtool-libs, pspell, aspell, aumix, gnupg, patch, python-
popt, python-clap, python-xmlrpc, rpm-python, rhn_register, sgml-common, 
up2date, xml-common, docbook-dtds, openjade, awesfx, cdda2wav, cdlabelgen, cdp, 
cdparanoia, cdrecord, curl, libao, mikmod, mkisofs, mpg321, playmidi, sox, 
sndconfig, vorbis-tools, autofs, bind-utils, cipe, finger, ftp, krbafs, 
logwatch, micq, ncftp, nfs-utils, nmap, nscd, nss_ldap, openldap-clients, 
pam_krb5, pidentd, radvd, rdate, rmt, rsh, sendmail-cf, stunnel, talk, 
tcp_wrappers, telnet, traceroute, ucd-snmp, wget, whois, ypbind, yp-tools, 
isdn4k-utils, lockdev, lrzsz, minicom, ppp, rp-pppoe, statserial, wvdial, 
elinks, fetchmail, mutt, nmh, pine, sharutils, metamail, libusb, finger-server, 
gd, openssh-server, rsh-server, sysstat, talk-server, telnet-server, ypserv, 
cpp, mm, rdist, tcpdump, ucd-snmp-utils, dialog, docbook-style-dsssl, perl-
SGMLSpm, docbook-utils, tetex-fonts, tetex, tetex-latex, linuxdoc-tools, emacs, 
tamago, arpwatch, bc, dump, lsof, lv, pax, pinfo, procinfo, rsync, screen, 
shapecfg, stat, sudo, symlinks, tree, units, vim-enhanced, xdelta, alchemist-
devel, autoconf, automake, automake15, autoconf253, binutils, bison, byacc, 
bzip2-devel, cdecl, cdparanoia-devel, cdrecord-devel, ctags, cups-devel, curl-
devel, cvs, cyrus-sasl-devel, db1-devel, db2-devel, db3-devel, db3-utils, 
dev86, diffstat, e2fsprogs-devel, expat-devel, flex, gd-devel, gdb, gdbm-devel, 
gettext, glibc-kernheaders, glibc-devel, gcc, gcc-g77, gmp-devel, gpm-devel, 
hesiod-devel, indent, isdn4k-utils-devel, krb5-devel, krbafs-devel, libao-
devel, libjpeg-devel, libogg-devel, libstdc++-devel, gcc-c++, libtermcap-devel, 
libtiff-devel, libtool, libusb-devel, libuser-devel, libvorbis-devel, libxml2-
devel, lockdev-devel, ltrace, mm-devel, modutils-devel, ncompress, ncurses-
devel, njamd, openldap-devel, openssl-devel, pam-devel, parted-devel, 
patchutils, pciutils-devel, kudzu-devel, pcre-devel, pkgconfig, audiofile-
devel, esound-devel, pmake, pspell-devel, aspell-devel, python-devel, rcs, 
readline-devel, rpm-build, rpm-devel, sendmail-devel, slang-devel, newt-devel, 
sox-devel, splint, strace, texinfo, VFlib2-devel, xdelta-devel, zlib-devel, 
libpng-devel, fonts-KOI8-R, fonts-KOI8-R-75dpi, man-pages-ru, XFree86-compat-
modules, XFree86-cyrillic-fonts, XFree86-VGA16]
db: <rpmdb object at 86f26d0>
how: i
method: <image.CdromInstallMethod instance at 82e2e10>
totalSize: 0
ts: <rpmtrans object at 86e4df8>
upgrade: 0
instPath: /mnt/sysimage


Package Group selection status:
Base: 1
Printing Support: 1
Classic X Window System: 1
X Window System: 0
Laptop Support: 0
Spelling: 0
GNOME: 0
KDE: 0
Sound and Multimedia Support: 1
Network Support: 1
Dialup Support: 1
Messaging and Web Tools: 1
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 0
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 0
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 1
Everything: 0


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 0, Canna-libs: 0, Distutils: 1, None: 0, 
FreeWnn: 0, FreeWnn-common: 0, FreeWnn-devel: 0, FreeWnn-libs: 0, GConf: 0, 
GConf-devel: 0, Glide3: 1, Glide3-devel: 0, Gtk-Perl: 0, Guppi: 0, Guppi-devel: 
0, ImageMagick: 0, ImageMagick-c++: 0, ImageMagick-c++-devel: 0, ImageMagick-
devel: 0, ImageMagick-perl: 0, LPRng: 1, MAKEDEV: 1, Maelstrom: 0, MagicPoint: 
0, MyODBC: 0, MySQL-python: 0, ORBit: 0, ORBit-devel: 0, Omni: 1, Omni-
foomatic: 1, PyQt: 0, PyQt-devel: 0, PyQt-examples: 0, PyXML: 1, SDL: 0, SDL-
devel: 0, SDL_image: 0, SDL_image-devel: 0, SDL_mixer: 0, SDL_mixer-devel: 0, 
SDL_net: 0, SDL_net-devel: 0, SysVinit: 1, VFlib2: 1, VFlib2-VFjfm: 0, VFlib2-
conf-ja: 0, VFlib2-devel: 1, WindowMaker: 0, WindowMaker-libs: 0, Wnn6-SDK: 0, 
Wnn6-SDK-devel: 0, XFree86: 1, XFree86-100dpi-fonts: 1, XFree86-3DLabs: 0, 
XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX: 0, XFree86-FBDev: 0, 
XFree86-ISO8859-15-100dpi-fonts: 1, XFree86-ISO8859-15-75dpi-fonts: 1, XFree86-
ISO8859-2-100dpi-fonts: 0, XFree86-ISO8859-2-75dpi-fonts: 0, XFree86-ISO8859-9-
100dpi-fonts: 0, XFree86-ISO8859-9-75dpi-fonts: 0, XFree86-Mach32: 0, XFree86-
Mach64: 0, XFree86-Mach8: 0, XFree86-Mono: 0, XFree86-P9000: 0, XFree86-S3: 0, 
XFree86-S3V: 0, XFree86-SVGA: 0, XFree86-VGA16: 1, XFree86-W32: 0, XFree86-
Xnest: 0, XFree86-Xvfb: 0, XFree86-base-fonts: 1, XFree86-compat-libs: 0, 
XFree86-compat-modules: 1, XFree86-cyrillic-fonts: 1, XFree86-devel: 0, XFree86-
doc: 0, XFree86-font-utils: 1, XFree86-libs: 1, XFree86-tools: 1, XFree86-
truetype-fonts: 0, XFree86-twm: 1, XFree86-xdm: 1, XFree86-xf86cfg: 0, XFree86-
xfs: 1, XFree86-xtrap-clients: 0, Xaw3d: 1, Xaw3d-devel: 0, Xconfigurator: 1, 
Xdialog: 0, a2ps: 1, abiword: 0, ac-archive: 0, adjtimex: 0, alchemist: 1, 
alchemist-devel: 1, alien: 0, am-utils: 0, amanda: 0, amanda-client: 0, amanda-
devel: 0, amanda-server: 0, ami: 0, ami-gnome: 0, anaconda: 0, anaconda-help: 
0, anaconda-images: 0, anaconda-runtime: 0, anacron: 1, anonftp: 0, apache: 0, 
apache-devel: 0, apache-manual: 0, apacheconf: 0, apel: 0, apmd: 1, ark: 0, 
arpwatch: 1, arts: 0, arts-devel: 0,ash: 1, asp2php: 0, asp2php-gtk: 0, 
aspell: 1, aspell-ca: 0, aspell-da: 0, aspell-de: 0, aspell-devel: 1, aspell-en-
ca: 0, aspell-en-gb: 0, aspell-es: 0, aspell-fr: 0, aspell-it: 0, aspell-nl: 0, 
aspell-no: 0, aspell-pt: 0, aspell-pt_BR: 0, aspell-sv: 0, at: 1, atk: 0, atk-
devel: 0, audiofile: 1, audiofile-devel: 1, aumix: 1, aumix-X11: 0, auth_ldap: 
0, authconfig: 1, authconfig-gtk: 0, autoconf: 1, autoconf253: 1, autoconvert: 
0, autoconvert-xchat: 0, autofs: 1, automake: 1, automake15: 1, autorun: 0, 
awesfx: 1, balsa: 0, basesystem: 1, bash: 1, bash-doc: 0, bc: 1, bdflush: 1, 
bg5ps: 0, bind: 0, bind-devel: 0, bind-utils: 1, bindconf: 0, binutils: 1, 
bison: 1, blas: 0, blas-man: 0, blt: 0, bonobo: 0, bonobo-conf: 0, bonobo-conf-
devel: 0, bonobo-devel: 0, bootparamd: 0, bridge-utils: 0, bridge-utils-devel: 
0, bug-buddy: 0, busybox: 0, busybox-anaconda: 0, byacc: 1, bzip2: 1, bzip2-
devel: 1, bzip2-libs: 1, cWnn: 0, cWnn-common: 0, cWnn-devel: 0, caching-
nameserver: 0, cadaver: 0, cdda2wav: 1, cdecl: 1, cdlabelgen: 1, cdp: 1, 
cdparanoia: 1, cdparanoia-devel: 1, cdparanoia-libs: 1, cdrdao: 0, cdrecord: 1, 
cdrecord-devel: 1, cervisia: 0, chkconfig: 1, chkfontpath: 1, chromium: 0, 
cipe: 1, cleanfeed: 0, compat-egcs: 0, compat-egcs-c++: 0, compat-egcs-g77: 0, 
compat-egcs-objc: 0, compat-glibc: 0, compat-libs: 0, compat-libstdc++: 0, 
comsat: 0, console-tools: 1, control-center: 0, control-center-devel: 0, cpio: 
1, cpp: 1, cproto: 0, cracklib: 1, cracklib-dicts: 1, crontabs: 1, ctags: 1, 
cups: 1, cups-devel: 1, cups-drivers: 1, cups-drivers-hpijs: 1, cups-drivers-
pnm2ppa: 1, cups-libs: 1, curl: 1, curl-devel: 1, cvs: 1, cyrus-sasl: 1, cyrus-
sasl-devel: 1, cyrus-sasl-gssapi: 0, cyrus-sasl-md5: 1, cyrus-sasl-plain: 1, 
dateconfig: 0, db1: 1, db1-devel: 1, db2: 1, db2-devel: 1, db3: 1, db3-devel: 
1, db3-utils: 1, db3x: 0, dbskkd-cdb: 0, ddd: 0, ddskk: 0, ddskk-xemacs: 0, 
dejagnu: 0, desktop-backgrounds: 0, dev: 1, dev86: 1, dhcp: 0, dhcpcd: 1, dia: 
0, dialog: 1, dictd: 0, dietlibc: 0, diffstat: 1, diffutils: 1, dip: 0, 
diskcheck: 0, dmalloc: 0, docbook-dtds: 1, docbook-style-dsssl: 1, docbook-
style-xsl: 0, docbook-utils: 1, docbook-utils-pdf: 0, dos2unix: 0, dosfstools: 
1, doxygen: 0, doxygen-doxywizard: 0, dtach: 0, dump: 1, dvdrecord: 0, 
e2fsprogs: 1, e2fsprogs-devel: 1, ed: 1, ee: 0, eel: 0, eel-devel: 0, efax: 1, 
eject: 1, elinks: 1, elm: 0, emacs: 1, emacs-el: 0, emacs-leim: 0, emacspeak: 
0, enscript: 0, epic: 0, eruby: 0, eruby-devel: 0, eruby-libs: 0, esound: 1, 
esound-devel: 1, ethereal: 0, ethereal-gnome: 0, ethtool: 0, evolution: 0, 
exmh: 0, expat: 1, expat-devel: 1, expect: 0, extace: 0, fam: 0, fam-devel: 0, 
fbset: 0, festival: 0, festival-devel: 0, fetchmail: 1, fetchmailconf: 0, file: 
1, filesystem: 1, fileutils: 1, findutils: 1, finger: 1, finger-server: 1, 
firewall-config: 0, flex: 1, flim: 0, flim-xemacs: 0, fonts-ISO8859-2: 0, fonts-
ISO8859-2-100dpi: 0,fonts-ISO8859-2-75dpi: 0, fonts-ISO8859-7: 0, fonts-
ISO8859-7-100dpi: 0, fonts-ISO8859-7-75dpi: 0, fonts-ISO8859-7-Type1: 0, fonts-
KOI8-R: 1, fonts-KOI8-R-100dpi: 0, fonts-KOI8-R-75dpi: 1, fonts-ja: 0, 
foomatic: 1, fortune-mod: 1, freeciv: 0, freetype: 1, freetype-demos: 0, 
freetype-devel: 0, freetype-utils: 0, ftp: 1, ftpcopy: 0, fvwm2: 0, fvwm2-
icons: 0, g-wrap: 0, g-wrap-devel: 0, gaim: 0, gal: 0, gal-devel: 0, galeon: 0, 
gated: 0, gawk: 1, gcc: 1, gcc-c++: 1, gcc-chill: 0, gcc-g77: 1, gcc-java: 0, 
gcc-objc: 0, gd: 1, gd-devel: 1, gd-progs: 0, gdb: 1, gdbm: 1, gdbm-devel: 1, 
gdk-pixbuf: 1, gdk-pixbuf-devel: 0, gdk-pixbuf-gnome: 0, gdm: 0, gedit: 0, 
genromfs: 0, gettext: 1, gftp: 0, ggv: 0, ghostscript: 1, ghostscript-fonts: 1, 
giftrans: 0, gimp: 0, gimp-data-extras: 0, gimp-devel: 0, gimp-perl: 0, gimp-
print-cups: 0, gkermit: 0, gkrellm: 0, glade: 0, glib: 1, glib-devel: 0, 
glib10: 0, glib2: 1, glib2-devel: 0, glibc: 1, glibc-common: 1, glibc-debug: 0, 
glibc-debug-static: 0, glibc-devel: 1, glibc-kernheaders: 1, glibc-profile: 0, 
glibc-utils: 0, glms: 0, glut: 0, glut-devel: 0, gmp: 1, gmp-devel: 1, gnome-
applets: 0, gnome-audio: 0, gnome-audio-extra: 0, gnome-core: 0, gnome-core-
devel: 0, gnome-games: 0, gnome-games-d

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.just install 
2.
3.
	

Additional info:

Comment 1 Michael Fulbright 2002-08-02 18:28:00 UTC
Bad blocks were detected on your drive. The installer died handling that expection.

*** This bug has been marked as a duplicate of 66181 ***